SHARE

Kloxo is one of the advanced open source and free web hosting control panel for RHEL / CentOS 5.x. This web hosting control panel included all the leading control panel features such as PHP, MYSQL, Apache, FTP, Perl, CGI and more.

Kloxo system requirement

  • A running CentOS 5.x server
  • A Minimum 256MB of RAM to run Yum
  • A Minimum 2GB of free disk space required to install Kloxo
  • Make sure /tmp partition has enough disk space.

Installation via command line

Step 1:

su - root
[root@tutorialspots ~]# su - root

Step 2:

setenforce 0
[root@tutorialspots ~]# setenforce 0
setenforce: SELinux is disabled

Step 3:

wget http://download.lxcenter.org/download/kloxo/production/kloxo-installer.sh
[root@tutorialspots ~]# wget http://download.lxcenter.org/download/kloxo/production/kloxo
-installer.sh
--2015-11-03 10:53:50-- http://download.lxcenter.org/download/kloxo/production/
kloxo-installer.sh
Resolving download.lxcenter.org... 198.15.107.207, 209.40.203.218, 75.98.169.138
, ...
Connecting to download.lxcenter.org|198.15.107.207|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 6234 (6.1K) [application/octet-stream]
Saving to: `kloxo-installer.sh'

100%[======================================>] 6,234 36.0K/s in 0.2s

2015-11-03 10:53:51 (36.0 KB/s) - `kloxo-installer.sh' saved [6234/6234]

Step 4:

sh ./kloxo-installer.sh --type=master

install kloxo

[root@tutorialspots ~]# yum
Loaded plugins: fastestmirror
You need to give some command
usage: yum [options] COMMAND

List of Commands:

check-update Check for available package updates
clean Remove cached data
deplist List a package's dependencies
downgrade downgrade a package
erase Remove a package or packages from your system
groupinfo Display details about a package group
groupinstall Install the packages in a group on your system
grouplist List available package groups
groupremove Remove the packages in a group from your system
help Display a helpful usage message
info Display details about a package or group of packages
install Install a package or packages on your system
list List a package or groups of packages
localinstall Install a local RPM
makecache Generate the metadata cache
provides Find what package provides the given value
reinstall reinstall a package
repolist Display the configured software repositories
resolvedep Determine which package provides the given dependency
search Search package details for the given string
shell Run an interactive yum shell
update Update a package or packages on your system
upgrade Update packages taking obsoletes into account

options:
-h, --help show this help message and exit
-t, --tolerant be tolerant of errors
-C run entirely from cache, don't update cache
-c [config file] config file location
-R [minutes] maximum command wait time
-d [debug level] debugging output level
--showduplicates show duplicates, in repos, in list/search commands
-e [error level] error output level
-q, --quiet quiet operation
-v, --verbose verbose operation
-y answer yes for all questions
--version show Yum version and exit
--installroot=[path] set install root
--enablerepo=[repo] enable one or more repositories (wildcards allowed)
--disablerepo=[repo] disable one or more repositories (wildcards allowed)
-x [package], --exclude=[package]
exclude package(s) by name or glob
--disableexcludes=[repo]
disable exclude from main, for a repo or for
everything
--obsoletes enable obsoletes processing during updates
--noplugins disable Yum plugins
--nogpgcheck disable gpg signature checking
Installing as "root" OK
Operating System supported OK
SELinux disabled OK
Yum installed OK

Ready to begin Kloxo (master) install.

Note some file downloads may not show a progress bar so please, do not i
nterrupt the process.
When it's finished, you will be presented with a welcome message and fur
ther instructions.

Press any key to continue ...
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirrors.ircam.fr
* extras: mirrors.ircam.fr
* updates: mirrors.ircam.fr
Setting up Install Process
Package wget-1.11.4-3.el5_8.2.i386 already installed and latest version
Package unzip-5.52-3.el5.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package php.i386 0:5.1.6-45.el5_11 set to be updated
--> Processing Dependency: php-cli = 5.1.6-45.el5_11 for package: php
--> Processing Dependency: php-common = 5.1.6-45.el5_11 for package: php
--> Processing Dependency: libgmp.so.3 for package: php
---> Package php-mysql.i386 0:5.1.6-45.el5_11 set to be updated
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package:
php-mysql
--> Processing Dependency: libmysqlclient.so.15 for package: php-mysql
--> Processing Dependency: php-pdo for package: php-mysql
---> Package zip.i386 0:2.31-2.el5 set to be updated
--> Running transaction check
---> Package gmp.i386 0:4.1.4-10.el5 set to be updated
---> Package mysql.i386 0:5.0.95-5.el5_9 set to be updated
--> Processing Dependency: perl(DBI) for package: mysql
---> Package php-cli.i386 0:5.1.6-45.el5_11 set to be updated
---> Package php-common.i386 0:5.1.6-45.el5_11 set to be updated
---> Package php-pdo.i386 0:5.1.6-45.el5_11 set to be updated
--> Running transaction check
---> Package perl-DBI.i386 0:1.52-2.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
php i386 5.1.6-45.el5_11 updates 2.3 M
php-mysql i386 5.1.6-45.el5_11 updates 88 k
zip i386 2.31-2.el5 base 127 k
Installing for dependencies:
gmp i386 4.1.4-10.el5 base 664 k
mysql i386 5.0.95-5.el5_9 base 4.9 M
perl-DBI i386 1.52-2.el5 base 600 k
php-cli i386 5.1.6-45.el5_11 updates 2.1 M
php-common i386 5.1.6-45.el5_11 updates 155 k
php-pdo i386 5.1.6-45.el5_11 updates 67 k

Transaction Summary
================================================================================
Install 9 Package(s)
Upgrade 0 Package(s)

Total download size: 11 M
Downloading Packages:
(1/9): php-pdo-5.1.6-45.el5_11.i386.rpm | 67 kB 00:00
(2/9): php-mysql-5.1.6-45.el5_11.i386.rpm | 88 kB 00:00
(3/9): zip-2.31-2.el5.i386.rpm | 127 kB 00:00
(4/9): php-common-5.1.6-45.el5_11.i386.rpm | 155 kB 00:00
(5/9): perl-DBI-1.52-2.el5.i386.rpm | 600 kB 00:00
(6/9): gmp-4.1.4-10.el5.i386.rpm | 664 kB 00:00
(7/9): php-cli-5.1.6-45.el5_11.i386.rpm | 2.1 MB 00:00
(8/9): php-5.1.6-45.el5_11.i386.rpm | 2.3 MB 00:00
(9/9): mysql-5.0.95-5.el5_9.i386.rpm | 4.9 MB 00:00
--------------------------------------------------------------------------------
Total 12 MB/s | 11 MB 00:00
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID e8562897
base/gpgkey | 1.5 kB 00:00
Importing GPG key 0xE8562897 "CentOS-5 Key (CentOS 5 Official Signing Key) " from /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : php-common 1/9
Installing : gmp 2/9
Installing : php-cli 3/9
Installing : php-pdo 4/9
Installing : perl-DBI 5/9
Installing : mysql 6/9
Installing : php-mysql 7/9
Installing : zip 8/9
Installing : php 9/9

Installed:
php.i386 0:5.1.6-45.el5_11 php-mysql.i386 0:5.1.6-45.el5_11
zip.i386 0:2.31-2.el5

Dependency Installed:
gmp.i386 0:4.1.4-10.el5 mysql.i386 0:5.0.95-5.el5_9
perl-DBI.i386 0:1.52-2.el5 php-cli.i386 0:5.1.6-45.el5_11
php-common.i386 0:5.1.6-45.el5_11 php-pdo.i386 0:5.1.6-45.el5_11

Complete!
--2015-11-03 10:54:37-- http://download.lxcenter.org/download/kloxo-install.zip
Resolving download.lxcenter.org... 198.15.107.207, 209.40.203.218, 75.98.169.138
, ...
Connecting to download.lxcenter.org|198.15.107.207|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 8102 (7.9K) [application/zip]
Saving to: `kloxo-install.zip'

100%[======================================>] 8,102 47.7K/s in 0.2s

2015-11-03 10:54:38 (47.7 KB/s) - `kloxo-install.zip' saved [8102/8102]

Kloxo is using AGPL-V3.0 License, do you agree with the terms? [y/N]: y
Installing Kloxo = YES

InstallApp: PHP Applications like PHPBB, WordPress, Joomla etc
When you choose Yes, be aware of downloading about 350Mb of data!
Do you want to install the InstallAPP sotfware? [y/N]: n
Installing InstallApp = NO
You can install it later with /script/installapp-update

Adding System users and groups (nouser, nogroup and lxlabs, lxlabs)
Installing LxCenter yum repository for updates
Removing packages sendmail sendmail-cf sendmail-doc sendmail-devel exim vsftpd p
ostfix vpopmail qmail kloxo-core-php lxphp lxzend pure-ftpd imap...
Installing packages php-mbstring php-mysql which gcc-c++ php-imap php-pear php-d
evel lxlighttpd httpd mod_ssl zip unzip kloxo-core-php mysql mysql-server curl a
utoconf automake libtool bogofilter gcc cpp openssl pure-ftpd yum-protectbase...
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirrors.ircam.fr
* extras: mirrors.ircam.fr
* updates: mirrors.ircam.fr
Setting up Install Process
Package which-2.16-7.i386 already installed and latest version
Package zip-2.31-2.el5.i386 already installed and latest version
Package unzip-5.52-3.el5.i386 already installed and latest version
Package curl-7.15.5-17.el5_9.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-3.el5 set to be updated
---> Package bogofilter.i386 0:1.2.4-1 set to be updated
--> Processing Dependency: libgslcblas.so.0 for package: bogofilter
--> Processing Dependency: libgsl.so.0 for package: bogofilter
---> Package cpp.i386 0:4.1.2-55.el5 set to be updated
---> Package gcc.i386 0:4.1.2-55.el5 set to be updated
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc
--> Processing Dependency: libgomp >= 4.1.2-55.el5 for package: gcc
---> Package gcc-c++.i386 0:4.1.2-55.el5 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-55.el5 for package: gcc-c++
---> Package httpd.i386 0:2.2.27-2 set to be updated
--> Processing Dependency: httpd-tools = 2.2.27-2 for package: httpd
--> Processing Dependency: redhat-logos >= 4.9.99-11 for package: httpd
--> Processing Dependency: apr-util-ldap for package: httpd
---> Package kloxo-core-php.i386 0:5.3.28-2 set to be updated
--> Processing Dependency: libmcrypt.so.4 for package: kloxo-core-php
--> Processing Dependency: libltdl.so.3 for package: kloxo-core-php
--> Processing Dependency: libc-client.so.1 for package: kloxo-core-php
---> Package libtool.i386 0:1.5.22-7.el5_4 set to be updated
---> Package lxlighttpd.i386 0:1.4.32-1 set to be updated
--> Processing Dependency: liblua-5.1.so for package: lxlighttpd
---> Package mod_ssl.i386 1:2.2.27-2 set to be updated
--> Processing Dependency: libnal.so.1 for package: mod_ssl
--> Processing Dependency: libdistcache.so.1 for package: mod_ssl
---> Package mysql.i386 0:5.0.96-1 set to be updated
---> Package mysql-server.i386 0:5.0.96-1 set to be updated
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server
---> Package openssl.i686 0:0.9.8e-36.0.1.el5_11 set to be updated
---> Package php-devel.i386 0:5.2.17-37 set to be updated
--> Processing Dependency: php = 5.2.17-37 for package: php-devel
---> Package php-imap.i386 0:5.2.17-37 set to be updated
--> Processing Dependency: php-common = 5.2.17-37 for package: php-imap
---> Package php-mbstring.i386 0:5.2.17-37 set to be updated
---> Package php-mysql.i386 0:5.2.17-37 set to be updated
---> Package php-pear.noarch 1:1.9.4-23 set to be updated
--> Processing Dependency: php-xml for package: php-pear
--> Processing Dependency: php-posix for package: php-pear
---> Package pure-ftpd.i386 0:1.0.36-1.lxcenter set to be updated
---> Package yum-protectbase.noarch 0:1.1.16-21.el5.centos set to be updated
--> Running transaction check
---> Package apr-util-ldap.i386 0:1.5.3-1 set to be updated
--> Processing Dependency: apr-util = 1.5.3-1 for package: apr-util-ldap
---> Package distcache-lib.i386 0:1.5.2-0.1.dev set to be updated
---> Package glibc-devel.i386 0:2.5-123.el5_11.3 set to be updated
--> Processing Dependency: glibc = 2.5-123.el5_11.3 for package: glibc-devel
--> Processing Dependency: glibc-headers = 2.5-123.el5_11.3 for package: glibc-d
evel
--> Processing Dependency: glibc-headers for package: glibc-devel
---> Package gsl.i386 0:1.13-3.el5 set to be updated
---> Package httpd-tools.i386 0:2.2.27-2 set to be updated
---> Package imake.i386 0:1.0.2-3 set to be updated
---> Package libc-client.i386 0:2004g-2.2.1 set to be updated
---> Package libgomp.i386 0:4.4.7-1.el5 set to be updated
---> Package libmcrypt.i386 0:2.5.8-4.el5.centos set to be updated
---> Package libstdc++-devel.i386 0:4.1.2-55.el5 set to be updated
---> Package libtool-ltdl.i386 0:1.5.22-7.el5_4 set to be updated
---> Package lua.i386 0:5.1.4-4.el5 set to be updated
---> Package perl-DBD-MySQL.i386 0:3.0007-2.el5 set to be updated
---> Package php.i386 0:5.2.17-37 set to be updated
--> Processing Dependency: php-cli = 5.2.17-37 for package: php
--> Processing Dependency: php-common = 5.1.6-45.el5_11 for package: php-pdo
---> Package php-common.i386 0:5.2.17-37 set to be updated
---> Package php-process.i386 0:5.2.17-37 set to be updated
---> Package php-xml.i386 0:5.2.17-37 set to be updated
--> Processing Dependency: libxslt.so.1 for package: php-xml
--> Processing Dependency: libexslt.so.0 for package: php-xml
---> Package redhat-logos.noarch 0:4.9.99-11.el5.centos set to be updated
--> Running transaction check
---> Package apr-util.i386 0:1.5.3-1 set to be updated
--> Processing Dependency: glibc = 2.5-123 for package: nscd
---> Package glibc.i686 0:2.5-123.el5_11.3 set to be updated
--> Processing Dependency: glibc-common = 2.5-123.el5_11.3 for package: glibc
---> Package glibc-headers.i386 0:2.5-123.el5_11.3 set to be updated
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers
--> Processing Dependency: kernel-headers for package: glibc-headers
---> Package libxslt.i386 0:1.1.17-4.el5_8.3 set to be updated
---> Package php-cli.i386 0:5.2.17-37 set to be updated
--> Processing Dependency: libevent-1.4.so.2 for package: php-cli
---> Package php-pdo.i386 0:5.2.17-37 set to be updated
--> Running transaction check
---> Package glibc-common.i386 0:2.5-123.el5_11.3 set to be updated
---> Package kernel-headers.i386 0:2.6.18-406.el5 set to be updated
---> Package libevent.i386 0:1.4.13-1 set to be updated
---> Package nscd.i386 0:2.5-123.el5_11.3 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
autoconf noarch 2.59-12 base 647 k
automake noarch 1.9.6-3.el5 base 476 k
bogofilter i386 1.2.4-1 lxcenter-updates 485 k
cpp i386 4.1.2-55.el5 base 2.7 M
gcc i386 4.1.2-55.el5 base 5.2 M
gcc-c++ i386 4.1.2-55.el5 base 3.4 M
kloxo-core-php i386 5.3.28-2 lxcenter-updates 9.0 M
libtool i386 1.5.22-7.el5_4 base 667 k
lxlighttpd i386 1.4.32-1 lxcenter-updates 1.2 M
mod_ssl i386 1:2.2.27-2 lxcenter-updates 341 k
mysql-server i386 5.0.96-1 lxcenter-updates 11 M
php-devel i386 5.2.17-37 lxcenter-updates 555 k
php-imap i386 5.2.17-37 lxcenter-updates 53 k
php-mbstring i386 5.2.17-37 lxcenter-updates 1.1 M
php-pear noarch 1:1.9.4-23 lxcenter-updates 428 k
pure-ftpd i386 1.0.36-1.lxcenter lxcenter-updates 502 k
yum-protectbase noarch 1.1.16-21.el5.centos base 14 k
Updating:
httpd i386 2.2.27-2 lxcenter-updates 3.4 M
mysql i386 5.0.96-1 lxcenter-updates 7.0 M
openssl i686 0.9.8e-36.0.1.el5_11 updates 1.7 M
php-mysql i386 5.2.17-37 lxcenter-updates 84 k
Installing for dependencies:
apr-util-ldap i386 1.5.3-1 lxcenter-updates 20 k
distcache-lib i386 1.5.2-0.1.dev lxcenter-updates 101 k
glibc-devel i386 2.5-123.el5_11.3 updates 2.1 M
glibc-headers i386 2.5-123.el5_11.3 updates 612 k
gsl i386 1.13-3.el5 base 857 k
httpd-tools i386 2.2.27-2 lxcenter-updates 116 k
imake i386 1.0.2-3 base 319 k
kernel-headers i386 2.6.18-406.el5 updates 1.5 M
libc-client i386 2004g-2.2.1 base 516 k
libevent i386 1.4.13-1 base 112 k
libgomp i386 4.4.7-1.el5 base 74 k
libmcrypt i386 2.5.8-4.el5.centos extras 116 k
libstdc++-devel i386 4.1.2-55.el5 base 2.8 M
libtool-ltdl i386 1.5.22-7.el5_4 base 37 k
libxslt i386 1.1.17-4.el5_8.3 base 420 k
lua i386 5.1.4-4.el5 lxcenter-updates 228 k
perl-DBD-MySQL i386 3.0007-2.el5 base 148 k
php-process i386 5.2.17-37 lxcenter-updates 37 k
php-xml i386 5.2.17-37 lxcenter-updates 115 k
redhat-logos noarch 4.9.99-11.el5.centos base 26 M
Updating for dependencies:
apr-util i386 1.5.3-1 lxcenter-updates 217 k
glibc i686 2.5-123.el5_11.3 updates 5.4 M
glibc-common i386 2.5-123.el5_11.3 updates 16 M
nscd i386 2.5-123.el5_11.3 updates 178 k
php i386 5.2.17-37 lxcenter-updates 1.2 M
php-cli i386 5.2.17-37 lxcenter-updates 2.3 M
php-common i386 5.2.17-37 lxcenter-updates 278 k
php-pdo i386 5.2.17-37 lxcenter-updates 66 k

Transaction Summary
================================================================================
Install 37 Package(s)
Upgrade 12 Package(s)

Total download size: 112 M
Downloading Packages:
................................
Initialize phpMyAdmin configfile
- phpMyAdmin: Set db password in configfile
Initialize OS admin account description
- Initialize process
Initialize kloxophp
- Install kloxophp 32bit
- kloxophp version is 4383
- kloxophp local copy version is
- Download and use kloxophp version 4383 for installing
--2015-11-03 10:57:24--  http://download.lxcenter.org/download/kloxophp4383.tar.
gz
Resolving download.lxcenter.org... 209.40.203.218, 198.15.107.207, 66.160.179.10
1, ...
Connecting to download.lxcenter.org|209.40.203.218|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 7583600 (7.2M) [application/x-gzip]
Saving to: `kloxophp4383.tar.gz'

100%[======================================>] 7,583,600   2.78M/s   in 2.6s

2015-11-03 10:57:26 (2.78 MB/s) - `kloxophp4383.tar.gz' saved [7583600/7583600]

Webmail Checks
- lxwebmail version is 4375
- local copy version is
- Download and use version 4375 for installing
--2015-11-03 10:57:27--  http://download.lxcenter.org/download/lxwebmail4375.tar
.gz
Resolving download.lxcenter.org... 198.15.107.207, 209.40.203.218, 93.115.240.18
1, ...
Connecting to download.lxcenter.org|198.15.107.207|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3856852 (3.7M) [application/octet-stream]
Saving to: `lxwebmail4375.tar.gz'

100%[======================================>] 3,856,852   1.10M/s   in 3.7s

2015-11-03 10:57:31 (1.00 MB/s) - `lxwebmail4375.tar.gz' saved [3856852/3856852]

cp: cannot create regular file `/home/kloxo/httpd/webmail/horde/config/conf.php'
: No such file or directory
Awstats Checks
- lxawstats version is 4402
- local copy version is
- Download and use version 4402 for installing
--2015-11-03 10:57:31--  http://download.lxcenter.org/download/lxawstats4402.tar
.gz
Resolving download.lxcenter.org... 198.15.107.207, 209.40.203.218, 75.98.169.138
, ...
Connecting to download.lxcenter.org|198.15.107.207|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1259704 (1.2M) [application/octet-stream]
Saving to: `lxawstats4402.tar.gz'

100%[======================================>] 1,259,704    539K/s   in 2.3s

2015-11-03 10:57:34 (539 KB/s) - `lxawstats4402.tar.gz' saved [1259704/1259704]

Remove Old dirs
- Remove process
- Remove dir /etc/skel/Maildir/ if exists
Initialize Some Binary files
- Add symlink for qmail-sendmail
- Install lxredirector binary
- Create Symlink /usr/bin/php to /usr/local/bin/php
Remove lighttpd errorlog
- Remove process
Fix the secure logfile
- Fix process
Fix secure log
- Fix process
Clean hosts.deny
- Clean process
Turn off mouse daemon
- Turn off process
Initialize Kloxo bind config files
Pattern 'include "/etc/global.options.named.conf";' Already present in /var/name
d/chroot/etc/named.conf
- No need to initialize
Killing gettraffic system process
- Killing process
Checking for rpm packages
- For maildrop-toaster package
- For spamdyke package
- For spamdyke-utils package
- For pure-ftpd package
- For simscan-toaster package
- For webalizer package
- For php-mcrypt package
- For dos2unix package
- For rrdtool package
- For xinetd package
- For lxjailshell package
- For php-xml package
- For libmhash package
- For kloxo-core-php package
- For kloxo-theme-default package
- For kloxo-theme-feather package
- For php-pear package
Initialize /script/ dir
- Initialize processes
Checking for XCache...
Install Kloxo service
- Install process
Installing jailshell to system
- Installing process
Set /home permission to 0755
- Set process
Executing centos 5 script and remove epel repo
- Executing centos5-postpostupgrade script
- Remove epel.repo from system
Fixing RedHat NetWork Source
- Fix processes
Initialize Apache Config
- Initialize process
- Install /etc/httpd/conf/httpd.conf
- Create /home/apache/conf/domains dir
- Create /home/apache/conf/redirects dir
- Create /home/apache/conf/wildcards dir
- Create /home/apache/conf/exclusive dir
- Initialize /home/apache/conf/defaults/__ssl.conf
- Initialize /home/apache/conf/defaults/mimetype.conf
- Initialize /home/apache/conf/defaults/stats.conf
Initialize PureFtp service
- Initialize process
- Install /etc/xinetd.d/pureftp TCP Wrapper file
Make pure-ftpd user database
- Turn off and remove pure-ftpd service
- Restart xinetd service for pureftp
Restart xinetd for pureftp
- Restart process
- Install xinetd smtp_lxa SMTP TCP Wrapper
- Install qmail service
- Install /etc/lxrestricted file (lxjailshell commands restrictions)
- Install /etc/sysconfig/spamassassin
- Install qmail defaultdomain and defaulthost (lxd1)
- Install qmail SMTP Greeting (lxd1 - Welcome to Qmail)
- Initialize rblsmtpd binary
- Initialize tcpserver binary
Enable xinetd service
- Enable process
Enable xinetd
- enable process
pure-ftpd: unrecognized service
Fix suexec
- Fix process
Install/Fix Services/Permissions/Configfiles
- Create lxphp.exe Symlink
- Set permissions for /usr/bin/php-cgi
- Set permissions for closeallinput binary
- Set permissions for lxphpsu binary
- Set permissions for phpsuexec.sh script
- Set permissions for /home/kloxo/httpd/lighttpd/ dir
chown: cannot access `/home/kloxo/httpd/lighttpd/': No such file or directory
- Set permissions for /var/lib/php/session/ dir
- Set permissions for /var/bogofilter/ dir
- Kill sisinfoc system process
Initialize Lighttpd config
- Initialize process
- Create /home/lighttpd/conf dir
- Create /home/kloxo/httpd/lighttpd dir
- Create /etc/lighttpd/conf.d dir
- Create /home/lighttpd/conf/defaults dir
- Create /home/lighttpd/conf/domains dir
- Create /home/lighttpd/conf/redirects dir
- Create /home/lighttpd/conf/webmails dir
- Create /home/lighttpd/conf/wildcards dir
- Create /home/lighttpd/conf/exclusive dir
- Install /etc/lighttpd/lighttpd.conf
- Initialize /etc/lighttpd/local.lighttpd.conf
- Initialize /home/lighttpd/conf/defaults/__ssl.conf
- Initialize /home/lighttpd/conf/defaults/_default.conf
- Initialize /home/lighttpd/conf/defaults/disable.conf
- Initialize /home/lighttpd/conf/defaults/cp_config.conf
- Initialize /home/lighttpd/conf/defaults/mimetype.conf
- Initialize /home/lighttpd/conf/defaults/stats.conf
Initialize nobody.sh script
- Initialize process
Execute/remove/initialize/install script
- Execute lxpopuser.sh
- Remove /home/kloxo/httpd/script dir
- Initialize /home/kloxo/httpd/script dir
- Install phpinfo.php into /home/kloxo/httpd/script dir
Install /etc/init.d/djbdns service file
- Install process
Enable the correct drivers (Service daemons)
- Uninstall web__lighttpd
- Uninstall spam__spamassassin
- Uninstall dns__djbdns
Remove cache dir
- Remove process
Restart syslog service
- Restart process
Initialize awstats dirdata
- Initialize process
Installing kloxo logrotate file
Preparing RoundCube database
- Fixing MySQL commands in import files
- Generating password
- Add Password to configuration file
- Database installed
Initialize Roundcube files
- Initialize process
Install Webmail chooser
- Install process
Remove old lxlabs ssh key
- Remove process
Initialize Server
- Initialize OpenVZ
Initialize some skeletons
- Copy  /usr/local/lxlabs/kloxo/file/skeleton.zip to /home/kloxo/httpd/skeleton.
zip
- Php files for default web page
- Skeleton for default web page
- Php files for disable web page
- Skeleton for disable web page
- Php files for webmail web page
- Skeleton for webmail web page
- Php files for cp web page
- Skeleton for cp web page
- Php files for login web page
- Skeleton for login web page
- No exists user-skeleton
- No exists user-logo
Initialize InstallApp
- InstallApp is disabled by InstallApp Flag
Checking freshclam (virus scanner)
- Disabled freshclam service
Changing softlimit for incoming/receive mailserver
- For imap4
- For imap4-ssl
- For pop3
- For pop3-ssl
Update PHP PEAR software
Updating channel "pear.php.net"
Channel "pear.php.net" is up to date
Will upgrade channel://pear.php.net/xml_util
Will upgrade channel://pear.php.net/structures_graph
Will upgrade channel://pear.php.net/pear
Will upgrade channel://pear.php.net/console_getopt
Will upgrade channel://pear.php.net/net_smtp
pear/xml_util is already installed and is the same as the released version 1.2.3
pear/structures_graph is already installed and is the same as the released versi
on 1.0.4
pear/pear is already installed and is the same as the released version 1.9.5
pear/console_getopt is already installed and is the same as the released version
 1.3.1
pear/net_smtp is already installed and is the same as the released version 1.6.3
upgrade-all failed
- You can ignore warnings from PHP PEAR updates above.
Preparing MySQL service
- MySQL activated
- MySQL restarted
Updating Core packages
- No httpd* update found
- No lighttpd* update found
- No bind* update found
- No djbdns* update found
- No pure-ftpd* update found
- No php* update found
- No vpopmail update found
- No courier-imap-toaster update found
- No courier-authlib-toaster update found
- No qmail update found
- No safecat update found
- No spamassassin update found
- No bogofilter update found
- No ezmlm-toaster update found
- No autorespond-toaster update found
- No clamav-toaster update found
Preparing some services again
- courier-imap enabled and restart queue
- qmail enabled and restart queue
Fix dns/web/php/mail/ftpuser/vpop configs
- Fix dns configs

- For help, type '/script/fixdns --help'

Fixing DNS server config
- Fix web configs

- For help, type '/script/fixweb --help'

Fixing Web server config
- Fix php configs

- For help, type '/script/fixphp --help'

Fixing php.ini
- in '/etc' at 'localhost'
- Fix mail configs

- For help, type '/script/fixmail --help'

Fixing Mail accounts
- Fix ftpuser configs

- For help, type '/script/fixftpuser --help'

Fixing FTP User
- Fix vpop configs

Remove Kloxo install flags...
Setting Mysql for always running after reboot and restart now...
Stopping MySQL:                                            [  OK  ]
Starting MySQL:                                            [  OK  ]

Congratulations. Kloxo has been installed succesfully on your server as master

You can connect to the server at:
        https://<ip-address>:7777 - secure ssl connection, or
        http://<ip-address>:7778 - normal one.

The login and password are 'admin' 'admin'. After Logging in, you will have to
change your password to something more secure

We hope you will find managing your hosting with Kloxo
refreshingly pleasurable, and also we wish you all the success
on your hosting venture

Thanks for choosing Kloxo to manage your hosting, and allowing us to be of
service

---------------------------------------------

Now you can access KLOXO with address: http://youripadress:7778
user: admin
password: admin

Login and change your password!

NO COMMENTS